# TReNA
 Fit transcriptional regulatory networks using gene expression, priors, machine learning

## Getting Started 

To build and test:

 - clone this repository
 - install R 3.2.3 or later; RUnit 0.4.31 or later (see below)
 - install the following solver packages:
   - glmnet R package 2.0.3 or later
   - randomForest
   - vbsr
   - flare
   - lassopv
 - cd TReNA
 - R CMD INSTALL .
 
The most reliable way to install package dependencies (and other of their dependencies):

````
source("http://bioconductor.org/biocLite.R")
biocLite(c("glmnet", "RUnit"))
````

## Using TReNA

 - open an R session
 - source("inst/unitTests/test_TReNA.R")
 - runTests()
 unitTests perform double duty: they ensure the package performs as (currently) expected;
they introduce the package to the user and developer.
Thus [test_TReNA.R](https://github.com/PriceLab/TReNA/blob/master/inst/unitTests/test_TReNA.R)
is one entry point into this project.

We have also created a [Jupyter Notebook](http://nbviewer.jupyter.org/github/PriceLab/TReNA/blob/master/inst/demos/Assess_Distributions.ipynb) demonstrating use of TReNA with 4 different solvers

## Table of BDDS Databases (2017/10/10)

<table class='gmisc_table' style='border-collapse: collapse; margin-top: 1em; margin-bottom: 1em;' >
<thead>
<tr>
<th style='border-bottom: 1px solid grey; border-top: 2px solid grey;'> </th>
<th style='border-bottom: 1px solid grey; border-top: 2px solid grey; text-align: center;'>Name</th>
<th style='border-bottom: 1px solid grey; border-top: 2px solid grey; text-align: center;'>Hits.in.millions</th>
<th style='border-bottom: 1px solid grey; border-top: 2px solid grey; text-align: center;'>Tissue</th>
<th style='border-bottom: 1px solid grey; border-top: 2px solid grey; text-align: center;'>Method</th>
<th style='border-bottom: 1px solid grey; border-top: 2px solid grey; text-align: center;'>Seed</th>
</tr>
</thead>
<tbody>
<tr>
<td style='text-align: left;'>1</td>
<td style='text-align: center;'>adrenal_gland_hint_20</td>
<td style='text-align: center;'>33.5</td>
<td style='text-align: center;'>adrenal_gland</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>2</td>
<td style='text-align: center;'>adrenal_gland_hint_16</td>
<td style='text-align: center;'>81.4</td>
<td style='text-align: center;'>adrenal_gland</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>3</td>
<td style='text-align: center;'>adrenal_gland_wellington_16</td>
<td style='text-align: center;'>24.3</td>
<td style='text-align: center;'>adrenal_gland</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>4</td>
<td style='text-align: center;'>adrenal_gland_wellington_20</td>
<td style='text-align: center;'>24.8</td>
<td style='text-align: center;'>adrenal_gland</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>5</td>
<td style='text-align: center;'>bone_element_hint_20</td>
<td style='text-align: center;'>33.5</td>
<td style='text-align: center;'>bone_element</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>6</td>
<td style='text-align: center;'>bone_element_wellington_20</td>
<td style='text-align: center;'>7.2</td>
<td style='text-align: center;'>bone_element</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>7</td>
<td style='text-align: center;'>brain_hint_16</td>
<td style='text-align: center;'>839.8</td>
<td style='text-align: center;'>brain</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>8</td>
<td style='text-align: center;'>brain_hint_20</td>
<td style='text-align: center;'>865.3</td>
<td style='text-align: center;'>brain</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>9</td>
<td style='text-align: center;'>brain_wellington_16</td>
<td style='text-align: center;'>228.4</td>
<td style='text-align: center;'>brain</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>10</td>
<td style='text-align: center;'>brain_wellington_20</td>
<td style='text-align: center;'>248.1</td>
<td style='text-align: center;'>brain</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>11</td>
<td style='text-align: center;'>bronchus_hint_20</td>
<td style='text-align: center;'>33.5</td>
<td style='text-align: center;'>bronchus</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>12</td>
<td style='text-align: center;'>bronchus_hint_16</td>
<td style='text-align: center;'>62.8</td>
<td style='text-align: center;'>bronchus</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>13</td>
<td style='text-align: center;'>bronchus_wellington_16</td>
<td style='text-align: center;'>13.1</td>
<td style='text-align: center;'>bronchus</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>14</td>
<td style='text-align: center;'>bronchus_wellington_20</td>
<td style='text-align: center;'>7.2</td>
<td style='text-align: center;'>bronchus</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>15</td>
<td style='text-align: center;'>esophagus_hint_20</td>
<td style='text-align: center;'>55.2</td>
<td style='text-align: center;'>esophagus</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>16</td>
<td style='text-align: center;'>esophagus_wellington_20</td>
<td style='text-align: center;'>17.6</td>
<td style='text-align: center;'>esophagus</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>17</td>
<td style='text-align: center;'>extraembryonic_structure_hint_16</td>
<td style='text-align: center;'>386.2</td>
<td style='text-align: center;'>extraembryonic_structure</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>18</td>
<td style='text-align: center;'>extraembryonic_structure_hint_20</td>
<td style='text-align: center;'>391.7</td>
<td style='text-align: center;'>extraembryonic_structure</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>19</td>
<td style='text-align: center;'>extraembryonic_structure_wellington_20</td>
<td style='text-align: center;'>116.0</td>
<td style='text-align: center;'>extraembryonic_structure</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>20</td>
<td style='text-align: center;'>extraembryonic_structure_wellington_16</td>
<td style='text-align: center;'>25.3</td>
<td style='text-align: center;'>extraembryonic_structure</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>21</td>
<td style='text-align: center;'>eye_hint_20</td>
<td style='text-align: center;'>322.6</td>
<td style='text-align: center;'>eye</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>22</td>
<td style='text-align: center;'>eye_hint_16</td>
<td style='text-align: center;'>324.3</td>
<td style='text-align: center;'>eye</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>23</td>
<td style='text-align: center;'>eye_wellington_20</td>
<td style='text-align: center;'>81.8</td>
<td style='text-align: center;'>eye</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>24</td>
<td style='text-align: center;'>eye_wellington_16</td>
<td style='text-align: center;'>82.9</td>
<td style='text-align: center;'>eye</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>25</td>
<td style='text-align: center;'>gonad_hint_20</td>
<td style='text-align: center;'>39.9</td>
<td style='text-align: center;'>gonad</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>26</td>
<td style='text-align: center;'>gonad_wellington_20</td>
<td style='text-align: center;'>22.2</td>
<td style='text-align: center;'>gonad</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>27</td>
<td style='text-align: center;'>heart_hint_20</td>
<td style='text-align: center;'>295.4</td>
<td style='text-align: center;'>heart</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>28</td>
<td style='text-align: center;'>heart_wellington_20</td>
<td style='text-align: center;'>80.9</td>
<td style='text-align: center;'>heart</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>29</td>
<td style='text-align: center;'>kidney_hint_20</td>
<td style='text-align: center;'>289.5</td>
<td style='text-align: center;'>kidney</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>30</td>
<td style='text-align: center;'>kidney_wellington_20</td>
<td style='text-align: center;'>74.3</td>
<td style='text-align: center;'>kidney</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>31</td>
<td style='text-align: center;'>large_intestine_hint_20</td>
<td style='text-align: center;'>126.0</td>
<td style='text-align: center;'>large_intestine</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>32</td>
<td style='text-align: center;'>large_intestine_wellington_20</td>
<td style='text-align: center;'>55.6</td>
<td style='text-align: center;'>large_intestine</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>33</td>
<td style='text-align: center;'>liver_hint_20</td>
<td style='text-align: center;'>63.1</td>
<td style='text-align: center;'>liver</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>34</td>
<td style='text-align: center;'>liver_wellington_20</td>
<td style='text-align: center;'>22.0</td>
<td style='text-align: center;'>liver</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>35</td>
<td style='text-align: center;'>lung_hint_20</td>
<td style='text-align: center;'>252.4</td>
<td style='text-align: center;'>lung</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>36</td>
<td style='text-align: center;'>lung_wellington_20</td>
<td style='text-align: center;'>56.3</td>
<td style='text-align: center;'>lung</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>37</td>
<td style='text-align: center;'>lymphatic_vessel_hint_20</td>
<td style='text-align: center;'>58.4</td>
<td style='text-align: center;'>lymphatic_vessel</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>38</td>
<td style='text-align: center;'>lymphatic_vessel_wellington_20</td>
<td style='text-align: center;'>10.2</td>
<td style='text-align: center;'>lymphatic_vessel</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>39</td>
<td style='text-align: center;'>lymphoblast_hint_16</td>
<td style='text-align: center;'>483.6</td>
<td style='text-align: center;'>lymphoblast</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>40</td>
<td style='text-align: center;'>lymphoblast_hint_20</td>
<td style='text-align: center;'>498.0</td>
<td style='text-align: center;'>lymphoblast</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>41</td>
<td style='text-align: center;'>lymphoblast_wellington_16</td>
<td style='text-align: center;'>150.0</td>
<td style='text-align: center;'>lymphoblast</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>42</td>
<td style='text-align: center;'>lymphoblast_wellington_20</td>
<td style='text-align: center;'>155.8</td>
<td style='text-align: center;'>lymphoblast</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>43</td>
<td style='text-align: center;'>mammary_gland_hint_20</td>
<td style='text-align: center;'>58.6</td>
<td style='text-align: center;'>mammary_gland</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>44</td>
<td style='text-align: center;'>mammary_gland_wellington_20</td>
<td style='text-align: center;'>11.0</td>
<td style='text-align: center;'>mammary_gland</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>45</td>
<td style='text-align: center;'>mouth_hint_20</td>
<td style='text-align: center;'>156.6</td>
<td style='text-align: center;'>mouth</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>46</td>
<td style='text-align: center;'>mouth_wellington_20</td>
<td style='text-align: center;'>40.0</td>
<td style='text-align: center;'>mouth</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>47</td>
<td style='text-align: center;'>muscle_organ_hint_20</td>
<td style='text-align: center;'>116.7</td>
<td style='text-align: center;'>muscle_organ</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>48</td>
<td style='text-align: center;'>muscle_organ_wellington_20</td>
<td style='text-align: center;'>30.3</td>
<td style='text-align: center;'>muscle_organ</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>49</td>
<td style='text-align: center;'>pancreas_hint_20</td>
<td style='text-align: center;'>81.1</td>
<td style='text-align: center;'>pancreas</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>50</td>
<td style='text-align: center;'>pancreas_wellington_20</td>
<td style='text-align: center;'>36.4</td>
<td style='text-align: center;'>pancreas</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>51</td>
<td style='text-align: center;'>prostate_gland_hint_20</td>
<td style='text-align: center;'>49.7</td>
<td style='text-align: center;'>prostate_gland</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>52</td>
<td style='text-align: center;'>prostate_gland_wellington_20</td>
<td style='text-align: center;'>17.7</td>
<td style='text-align: center;'>prostate_gland</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>53</td>
<td style='text-align: center;'>skin_hint_16</td>
<td style='text-align: center;'>1281.2</td>
<td style='text-align: center;'>skin</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>16</td>
</tr>
<tr>
<td style='text-align: left;'>54</td>
<td style='text-align: center;'>skin_hint_20</td>
<td style='text-align: center;'>1317.1</td>
<td style='text-align: center;'>skin</td>
<td style='text-align: center;'>hint</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='text-align: left;'>55</td>
<td style='text-align: center;'>skin_wellington_20</td>
<td style='text-align: center;'>0.0</td>
<td style='text-align: center;'>skin</td>
<td style='text-align: center;'>wellington</td>
<td style='text-align: center;'>20</td>
</tr>
<tr>
<td style='border-bottom: 2px solid grey; text-align: left;'>56</td>
<td style='border-bottom: 2px solid grey; text-align: center;'>skin_wellington_16</td>
<td style='border-bottom: 2px solid grey; text-align: center;'>287.2</td>
<td style='border-bottom: 2px solid grey; text-align: center;'>skin</td>
<td style='border-bottom: 2px solid grey; text-align: center;'>wellington</td>
<td style='border-bottom: 2px solid grey; text-align: center;'>16</td>
</tr>
</tbody>
</table>
