% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FootprintFinder.R
\docType{class}
\name{FootprintFinder-class}
\alias{FootprintFinder-class}
\alias{.FootprintFinder}
\alias{FootprintFinder}
\alias{FootprintFinder-class}
\alias{FootprintFinder}
\title{Class FootprintFinder}
\usage{
FootprintFinder(genome.database.uri, project.database.uri, quiet = TRUE)
}
\arguments{
\item{genome.database.uri}{The address of a genome database for use in filtering. This database
must contain the tables "gtf" and "motifsgenes" at a minimum. The URI format is as follows:
"dbtype://host/database" (e.g. "postgres://localhost/genomedb")}

\item{project.database.uri}{The address of a project database for use in filtering. This database
must contain the tables "regions" and "hits" at a minimum. The URI format is as follows:
"dbtype://host/database" (e.g. "postgres://localhost/projectdb")}

\item{quiet}{A logical denoting whether or not the FootprintFinder object should print output}
}
\value{
An object of the FootprintFinder class
}
\description{
The FootprintFinder class is designed to query 2 supplied footprint databases (a genome database
and a project database) for supplied genes or regions. Within the TReNA package, the
FootprintFinder class is mainly used by the FootprintFilter class, but the FootprintFinder class
offers more flexibility in constructing queries.
}
\section{Slots}{

\describe{
\item{\code{genome.db}}{The address of a genome database for use in filtering}

\item{\code{project.db}}{The address of a project database for use in filtering}

\item{\code{quiet}}{A logical argument denoting whether the FootprintFinder object should behave quietly}
}}

\seealso{
\code{\link{FootprintFilter}}

Other FootprintFinder methods: \code{\link{closeDatabaseConnections,FootprintFinder-method}},
  \code{\link{getChromLoc,FootprintFinder-method}},
  \code{\link{getFootprintsForGene,FootprintFinder-method}},
  \code{\link{getFootprintsInRegion,FootprintFinder-method}},
  \code{\link{getGenePromoterRegion,FootprintFinder-method}},
  \code{\link{getGtfGeneBioTypes,FootprintFinder-method}},
  \code{\link{getGtfMoleculeTypes,FootprintFinder-method}},
  \code{\link{getPromoterRegionsAllGenes,FootprintFinder-method}}
}
