% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FootprintFinder.R
\docType{methods}
\name{getFootprintsInRegion,FootprintFinder-method}
\alias{getFootprintsInRegion,FootprintFinder-method}
\alias{getFootprintsInRegion}
\title{Get Footprints in a Region}
\usage{
\S4method{getFootprintsInRegion}{FootprintFinder}(obj, chromosome, start, end)
}
\arguments{
\item{obj}{An object of class FootprintFinder}

\item{chromosome}{The name of the chromosome of interest}

\item{start}{An integer denoting the start of the desired region}

\item{end}{An integer denoting the end of the desired region}
}
\value{
A dataframe containing all footprints for the specified region
}
\description{
Using the regions and hits tables inside the project database specified by the FootprintFinder
object, return the location, chromosome, starting position, and ending positions of all footprints
for the specified region.
}
\examples{
db.address <- system.file(package="trena", "extdata")
genome.db.uri <- paste("sqlite:/",db.address,"mef2c.neighborhood.hg38.gtfAnnotation.db", sep = "/")
project.db.uri <- paste("sqlite:/",db.address,"mef2c.neigborhood.hg38.footprints.db", sep = "/")
fp <- FootprintFinder(genome.db.uri, project.db.uri)

footprints <- getFootprintsInRegion(fp, chromosome = "chr5",
start = 88903305, end = 88903319 )
}
\seealso{
Other FootprintFinder methods: \code{\link{FootprintFinder-class}},
  \code{\link{closeDatabaseConnections,FootprintFinder-method}},
  \code{\link{getChromLoc,FootprintFinder-method}},
  \code{\link{getFootprintsForGene,FootprintFinder-method}},
  \code{\link{getGenePromoterRegion,FootprintFinder-method}},
  \code{\link{getGtfGeneBioTypes,FootprintFinder-method}},
  \code{\link{getGtfMoleculeTypes,FootprintFinder-method}},
  \code{\link{getPromoterRegionsAllGenes,FootprintFinder-method}}
}
