% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FootprintFinder.R
\docType{methods}
\name{getGtfMoleculeTypes,FootprintFinder-method}
\alias{getGtfMoleculeTypes,FootprintFinder-method}
\alias{getGtfMoleculeTypes}
\title{Get the List of Molecule Types}
\usage{
\S4method{getGtfMoleculeTypes}{FootprintFinder}(obj)
}
\arguments{
\item{obj}{An object of class FootprintFinder}
}
\value{
A sorted list of the types of molecules contained in the gtf table of the genome
database.
}
\description{
Using the gtf table in the genome database contained in a FootprintFinder object, get the list of
different types of molecules contained in the table.
}
\examples{
db.address <- system.file(package="trena", "extdata")
genome.db.uri <- paste("sqlite:/",db.address,"mef2c.neighborhood.hg38.gtfAnnotation.db", sep = "/")
project.db.uri <- paste("sqlite:/",db.address,"mef2c.neigborhood.hg38.footprints.db", sep = "/")
fp <- FootprintFinder(genome.db.uri, project.db.uri)

mol.types <- getGtfMoleculeTypes(fp)
}
\seealso{
Other FootprintFinder methods: \code{\link{FootprintFinder-class}},
  \code{\link{closeDatabaseConnections,FootprintFinder-method}},
  \code{\link{getChromLoc,FootprintFinder-method}},
  \code{\link{getFootprintsForGene,FootprintFinder-method}},
  \code{\link{getFootprintsInRegion,FootprintFinder-method}},
  \code{\link{getGenePromoterRegion,FootprintFinder-method}},
  \code{\link{getGtfGeneBioTypes,FootprintFinder-method}},
  \code{\link{getPromoterRegionsAllGenes,FootprintFinder-method}}
}
