% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LassoSolver.R
\docType{methods}
\name{run,LassoSolver-method}
\alias{run,LassoSolver-method}
\alias{run.LassoSolver}
\alias{solve.Lasso}
\title{Run the LASSO Solver}
\usage{
\S4method{run}{LassoSolver}(obj)
}
\arguments{
\item{obj}{An object of class LassoSolver}
}
\value{
A data frame containing the coefficients relating the target gene to each transcription factor, plus other fit parameters.
}
\description{
Given a LassoSolver object, use the \code{\link{glmnet}} function
to estimate coefficients for each transcription factor as a predictor of the target gene's
expression level.
}
\examples{
# Load included Alzheimer's data, create a TReNA object with LASSO as solver, and solve
load(system.file(package="trena", "extdata/ampAD.154genes.mef2cTFs.278samples.RData"))
target.gene <- "MEF2C"
tfs <- setdiff(rownames(mtx.sub), target.gene)
lasso.solver <- LassoSolver(mtx.sub, target.gene, tfs)
tbl <- run(lasso.solver)
}
\seealso{
\code{\link{glmnet}},, \code{\link{LassoSolver}}

Other solver methods: \code{\link{run,BayesSpikeSolver-method}},
  \code{\link{run,EnsembleSolver-method}},
  \code{\link{run,LassoPVSolver-method}},
  \code{\link{run,PearsonSolver-method}},
  \code{\link{run,RandomForestSolver-method}},
  \code{\link{run,RidgeSolver-method}},
  \code{\link{run,SpearmanSolver-method}},
  \code{\link{run,SqrtLassoSolver-method}}
}
